Commit 79724028 authored by Justin Berthault's avatar Justin Berthault Committed by Leo

testing/py3-amqp: upgrade to 2.6.0

parent 77615ff1
Pipeline #21017 failed with stages
in 53 seconds
# Maintainer: Drew DeVault <sir@cmpwn.com>
pkgname=py3-amqp
_pyname=amqp
pkgver=2.5.2
pkgrel=1
pkgver=2.6.0
pkgrel=0
pkgdesc="an AMQP implementation"
url="https://pypi.python.org/pypi/amqp/"
arch="noarch"
license="BSD-3-Clause"
makedepends="py3-setuptools"
checkdepends="py3-vine py3-case py3-nose py2py3-mock"
_pypiprefix="${_pyname%${_pyname#?}}"
source="https://files.pythonhosted.org/packages/source/$_pypiprefix/$_pyname/$_pyname-$pkgver.tar.gz"
builddir=$srcdir/$_pyname-$pkgver
# requires a running rabbitmq sever, which is more complicated than it sounds
options="!check"
source="https://files.pythonhosted.org/packages/source/a/amqp/amqp-$pkgver.tar.gz"
options="!check" # requires a running rabbitmq sever
builddir="$srcdir"/amqp-$pkgver
replaces="py-amqp" # Backwards compatibility
provides="py-amqp=$pkgver-r$pkgrel" # Backwards compatibility
prepare() {
sed -i requirements/test.txt -e 's/pytest-sugar.*//g'
}
build() {
python3 setup.py build
}
......@@ -34,4 +27,4 @@ package() {
python3 setup.py install --prefix=/usr --root="$pkgdir"
}
sha512sums="c540ce39c06bb947e55b4afc56567d5fc5a82b65a2f7e2cc1f769f96da74f788d14e1e9c02852a259a4980c36a4524f07166686c0357f96219fd9f8612a6159a amqp-2.5.2.tar.gz"
sha512sums="60c5dea07dafabaebca28c7e1a393d38c08732a72bd7821e3c022c1992e53b409a4753aa177a697219d7c641c554f8d89b3376c6388f1d26b4cf718336ad72ca amqp-2.6.0.tar.gz"
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment